<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8" />
    <title>Branch Add</title>

    <!-- If there's must have plugin put here -->
    <link rel="stylesheet" th:href="@{assets/vendors/select2/select2.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/select2-bootstrap-theme/select2-bootstrap.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/dropify/dropify.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/jquery-toast-plugin/jquery.toast.min.css}">
    <!-- end -->
    
    <div th:replace="fragments/side-menu-header :: css-side"></div>

</head>

<body>
    <div class="container-scroller">
        <!-- partial:../../partials/_navbar.html -->
        <nav th:replace="fragments/side-menu-header :: navbar"></nav>
        <!-- partial -->
        <div class="container-fluid page-body-wrapper">
            <!-- partial:../../partials/_sidebar.html -->
            <nav th:replace="fragments/side-menu-menu :: sidebar"></nav>
            <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">
                    <div class="page-header">
                        <h3 class="page-title"> Company Branch </h3>
                        <nav aria-label="breadcrumb">
                          <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="/dashboard">Dashboard</a></li>
                            <li class="breadcrumb-item"><a href="/company-list">Company List</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Branch</li>
                          </ol>
                        </nav>
                    </div>
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">Branch Add</h4>
                            <hr>
                            <form class="branchFormValidation" method="post" th:action="@{/company-add}" th:object="${branchForm}"
                            	enctype="multipart/form-data">
								
								<!-- <input type="hidden" name="formName" value="branchAdd"/> -->
								<input type="hidden" id="companyId" th:field="*{id}"/>
								<input type="hidden" id="companyType" th:field="*{companyType}"/>
								<input type="hidden" id="parentBranch" th:field="*{parentBranch}"/>
								<input type="hidden" id="logoImg" th:field="*{logo}"/>
								<input type="hidden" id="signatureImg" th:field="*{signature}"/>
                                
                                <div class="col-lg-4 grid-margin">
                                    <div class="form-group">
                                        <label>Branch Logo</label>
                                        <input type="file" class="dropify" data-height="250" id="logo" name="logo" />
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>JHT Paid by</label>
                                            <select class="js-example-basic-single" style="width:100%" th:field="*{jhtPaidBy}">
                                                <option value="AL">Employee</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>BPJS K Paid by</label>
                                            <select class="js-example-basic-single" style="width:100%" th:field="*{bpjsTkPaidBy}">
                                                <option value="AL">Employee</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                    
                                <div class="form-group">
                                    <label>Branch Name</label>
                                    <input type="text" class="form-control" id="branchName" name="name" th:field="*{name}"/>
                                </div>
                                
                                <div class="row">
                                    <div class="col-md-8">
                                        <div class="form-group">
                                            <label>Address</label>
                                            <textarea class="form-control" id="addressBranch" name="address"  th:field="*{address}" rows="4"></textarea>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Postal Code</label>
                                            <input type="text" class="form-control" id="postalCode" name="postalCode" th:field="*{postalCode}"/>
                                        </div>
                                    </div>
                                </div>
            
                                <div class="row">
                                    <div class="col-md-5">
                                        <div class="form-group">
                                            <label>Province</label>
                                            <select class="js-example-basic-single" id="province" name="province" style="width:100%" th:field="*{province}">
                                                <option value="1">Aceh</option>
	                                            <option value="2">Sumatera Barat</option>
	                                            <option value="3">Sumatera Selatan</option>
	                                            <option value="4">Kalimantan Tengah</option>
	                                            <option value="5">Kalimantan Timur</option>
	                                            <option value="6">Kalimantan Selatan</option>
	                                            <option value="7">Jawa Barat</option>
	                                            <option value="8">Jawa Tengah</option>
	                                            <option value="9">Jawa Timur</option>
	                                            <option value="10">Papua Timur</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-5">
                                        <div class="form-group">
                                            <label>City</label>
                                            <select class="js-example-basic-single" id="city" name="city" style="width:100%" th:field="*{city}">
                                                <option value="1">Bogor</option>
	                                            <option value="2">Malang</option>
	                                            <option value="3">Solo</option>
	                                            <option value="4">Banyuwangi</option>
	                                            <option value="5">Depok</option>
	                                            <option value="6">Bandung</option>
	                                            <option value="7">Garut</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label>UMR</label>
                                            <input type="text" class="form-control" id="umr" name="umr" th:field="*{umr}"/>
                                        </div>
                                    </div>
                                </div>
            
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label>Branch Phone</label>
                                            <input type="text" class="form-control" id="branchPhone" name="phone" th:field="*{phone}"/>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label>Branch Fax</label>
                                            <input type="text" class="form-control" id="branchFax" name="fax" th:field="*{fax}"/>
                                        </div>
                                    </div>
                                </div>
            
                                <div class="form-group">
                                    <div class="form-check">
                                        <label class="form-check-label">
                                            <input type="checkbox" id="npwpSame" name="npwpSame" class="form-check-input" value="parent"> NPWP same with parent branch
                                        </label>
                                    </div>
                                </div>

                                <div class="row parent">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Parent</label>
                                            <select class="js-example-basic-single" style="width:100%" id="parentSameNpwp">
                                            </select>
                                        </div>
                                    </div>
                                </div>
            
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Tax Person Name</label>
                                            <input type="text" class="form-control" id="taxPersonName" name="taxPerson" th:field="*{taxPerson}"/>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Tax Person NPWP</label>
                                            <input type="text" class="form-control" id="taxPersonNPWP" name="taxPersonNpwp" th:field="*{taxPersonNpwp}"/>
                                        </div>
                                    </div>
                                </div>
            
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Branch Tax Name</label>
                                            <input type="text" class="form-control" id="branchTaxName" name="taxName" th:field="*{taxName}"/>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Branch NPWP</label>
                                            <input type="text" class="form-control" id="branchNPWP" name="npwp" th:field="*{npwp}"/>
                                        </div>
                                    </div>
                                </div>
            
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Kode KLU</label>
                                            <input type="text" class="form-control" id="kodeKLU" name="kluCode" th:field="*{kluCode}"/>
                                            <small>KLU (Klasifikasi Lapangan Usaha)</small>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-lg-4 grid-margin">
                                    <div class="form-group">
                                        <label>Upload your scanned signature with company stamp to be attached on 1721-A1 document</label>
                                        <input type="file" class="dropify" data-height="200" id="signature" name="signature"/>
                                    </div>
                                </div>
            
                                <div>
                                    <button type="submit" class="btn btn-outline-primary btn-fw" id="save">
                                        <i class="fa fa-save"></i> Save
                                    </button>
                                </div>
            
                            </form>
                        </div>
                    </div>
                </div>
                <!-- content-wrapper ends -->
                <!-- partial:../../partials/_footer.html -->
                <footer th:replace="fragments/side-menu-footer :: footer"></footer>
                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    
    <div th:replace="fragments/side-menu-footer :: js"></div>

    <!-- Custom js for this page -->
    <script th:src="@{assets/vendors/select2/select2.min.js}"></script>
    <script th:src="@{assets/vendors/typeahead.js/typeahead.bundle.min.js}"></script>
    <script th:src="@{assets/vendors/dropify/dropify.min.js}"></script>
    <script th:src="@{assets/vendors/jquery-toast-plugin/jquery.toast.min.js}"></script>

    <script th:src="@{assets/js/toastDemo.js}"></script>
    <script th:src="@{assets/js/desktop-notification.js}"></script>
    <script th:src="@{assets/js/select2.js}"></script>
    <script th:src="@{assets/js/dropify.js}"></script>
    <script th:src="@{assets/vendors/jquery-validation/jquery.validate.min.js}"></script>
    <script th:src="@{assets/vendors/bootstrap-maxlength/bootstrap-maxlength.min.js}"></script>
    <script th:src="@{assets/customJs/branch.js}"></script>
    <!-- End custom js for this page -->
</body>

</html>